# Test file for Keyboard
require 'Core/Keyboard'

# Describe test cases
describe PackerFiles::Core::Keyboard do

  # Check normalize functionalty
  it 'checks normalization #1' do
     keyboard = PackerFiles::Core::Keyboard.new
     keyboard.variant  =  'us'
     keyboard.layout   =  'us'
     keyboard.normalize
     keyboard.layout.should eql('us')
  end

  it 'checks normalization #2' do
     keyboard = PackerFiles::Core::Keyboard.new
     begin 
       keyboard.normalize
     rescue PackerFiles::Core::NilException => e
       keyboard.layout.should be_nil
     end
  end

  it 'checks Keyboard documentation #1' do
     keyboard = PackerFiles::Core::Keyboard.new
     keyboard.variant  =  'xyZ'
     keyboard.layout   =  'aBC'
     keyboard.normalize
     File.exist?(keyboard.class.doc_file).should be(true)
     result = PackerFiles.evaluate_erb(keyboard.class.doc_file, {'obj' => keyboard})
     result.should include('xyZ')
     result.should include('aBC')
  end

end
