# Test file for locale
require 'Core/Locale'

# Describe test cases
describe PackerFiles::Core::Locale do

  # Check normalize functionalty
  it 'checks normalization #1' do
     locale = PackerFiles::Core::Locale.new
     locale.default  = 'en_IN'
     locale.normalize
     locale.default.should eql('en_IN.UTF-8')
  end

  it 'checks normalization #2' do
     locale = PackerFiles::Core::Locale.new
     locale.default =  'en_IN'
     locale.normalize(false)
     locale.default.should eql('en_IN')
  end

  it 'checks normalization #3' do
     locale = PackerFiles::Core::Locale.new
     locale.default =  'en_IN'
     locale.normalize(true, '.ABC')
     locale.default.should eql('en_IN.ABC')
  end

  # Check normalize functionalty
  it 'checks normalization #4' do
     locale = PackerFiles::Core::Locale.new
     locale.default   =  'en_IN'
     locale.supported = ['en_IN']
     locale.normalize
     locale.default.should eql('en_IN.UTF-8')
     locale.supported.first.should eql('en_IN.UTF-8')
  end

 it 'checks normalization #5' do
     locale = PackerFiles::Core::Locale.new
     locale.country   =  'IN'
     locale.language  =  'en'
     locale.supported = ['en_IN']
     locale.normalize
     locale.default.should eql('en_IN.UTF-8')
     locale.supported.first.should eql('en_IN.UTF-8')
  end

  # Checks yield functionality
  it 'checks yield functionality #1' do
     locale = PackerFiles::Core::Locale.new do |obj|
	obj.default   = 'en_IN'
        obj.supported = ['en_IN']
        obj.normalize
     end
     locale.default.should eql('en_IN.UTF-8')
     locale.supported.first.should eql('en_IN.UTF-8')
  end

  it 'checks Locale documentation #1' do
     locale = PackerFiles::Core::Locale.new
     locale.default   =  'de_DE'
     locale.supported = ['en_KN']
     locale.normalize

     File.exist?(locale.class.doc_file).should be(true)
     result = PackerFiles.evaluate_erb(locale.class.doc_file, {'obj' => locale})
     result.should include('de_DE')
     result.should include('en_KN')
  end

  
end
