# Test file for Network
require 'Core/Network'

# Describe test cases
describe PackerFiles::Core::Network do

  # Check normalize functionalty
  it 'checks normalization #1' do
     net = PackerFiles::Core::Network.new
     net.interface  = 'eth0'
     net.type       = PackerFiles::Core::Network::IPV4
     net.normalize
  end

  it 'checks normalization #2' do
     net = PackerFiles::Core::Network.new
     net.interface  = 'eth0'
     net.type       = PackerFiles::Core::Network::STATIC | PackerFiles::Core::Network::IPV4
     net.ip         = '10.10.10.10'
     net.mask       = '255.255.0.0'
     net.gateway    = '10.11.12.13'
     net.dns        = ['10.20.30.50']
     net.normalize
  end

  it 'checks normalization #3' do
     net = PackerFiles::Core::Network.new
     net.interface  = 'eth0'
     net.type       = PackerFiles::Core::Network::STATIC | PackerFiles::Core::Network::IPV4
     net.ip         = '10.10.10.10'
     net.mask       = '255.255.0.0'
     net.gateway    = '10.11.12.13'
     begin 
       net.normalize
     rescue PackerFiles::Core::EmptyArrayException => e
       net.gateway.should eql('10.11.12.13')
     end
  end

  it 'checks normalization #4' do
     net = PackerFiles::Core::Network.new
     net.interface  = 'eth0'
     net.type       = PackerFiles::Core::Network::STATIC | PackerFiles::Core::Network::IPV4
     net.ip         = '10.10.10.10'
     net.mask       = '255.255.0.0'
     begin 
       net.normalize
     rescue PackerFiles::Core::NilException => e
       net.mask.should eql('255.255.0.0')
     end
  end

  it 'checks normalization #5' do
     net = PackerFiles::Core::Network.new
     net.interface  = 'eth0'
     net.type       = PackerFiles::Core::Network::STATIC | PackerFiles::Core::Network::IPV4
     net.ip         = '10.10.10.10'
     begin 
       net.normalize
     rescue PackerFiles::Core::NilException => e
       net.ip.should eql('10.10.10.10')
     end
  end

  it 'checks normalization #6' do
     net = PackerFiles::Core::Network.new
     net.interface  = 'eth0'
     net.type       = PackerFiles::Core::Network::STATIC | PackerFiles::Core::Network::IPV4
     begin 
       net.normalize
     rescue PackerFiles::Core::NilException => e
       net.interface.should eql('eth0')
     end
  end

  it 'checks Documentation #1' do
     net = PackerFiles::Core::Network.new
     net.interface  = 'eth23'
     net.type       = PackerFiles::Core::Network::STATIC | PackerFiles::Core::Network::IPV4
     net.ip         = '10.10.10.10'
     net.mask       = '255.255.0.0'
     net.gateway    = '10.11.12.13'
     net.dns        = ['10.20.30.50']
     net.normalize
     File.exist?(net.class.doc_file).should be(true)
     result = PackerFiles.evaluate_erb(net.class.doc_file, {'obj' => net})
     result.should include('eth23')
     result.should include('PackerFiles::Core::Network::IPV4 | PackerFiles::Core::Network::STATIC')
     result.should include('10.10.10.10')
     result.should include('10.11.12.13')
     result.should include('255.255.0.0')
     result.should include('["10.20.30.50"]')
  end


end
