# Test file for TimeZone
require 'Core/TimeZone'

# Describe test cases
describe PackerFiles::Core::TimeZone do

  # Check normalize functionalty
  it 'checks normalization #1' do
     tz = PackerFiles::Core::TimeZone.new
     tz.utc  =  true
     tz.zone =  'Asia/Kolkata'
     tz.normalize
     tz.zone.should eql('Asia/Kolkata')
  end

  # Check normalize functionalty
  it 'checks normalization #2' do
     tz = PackerFiles::Core::TimeZone.new
     tz.auto   = true
     tz.normalize
     tz.zone.should_not be_nil
  end

  # Check normalize functionalty
  it 'checks normalization #3' do
     tz = PackerFiles::Core::TimeZone.new
     tz.auto   = false
     tz.normalize
     tz.zone.should be_nil
  end

  it 'checks timezone documentation #1' do
     tz = PackerFiles::Core::TimeZone.new
     tz.utc  =  false
     tz.zone =  'Asia/Kolkata'
     tz.normalize
     File.exist?(tz.class.doc_file).should be(true)
     result = PackerFiles.evaluate_erb(tz.class.doc_file, {'obj' => tz})
     result.should include('Asia/Kolkata')
     result.should include('timezone.utc    = false')
  end

end
