# Test file for User
require 'Core/User'

# Describe test cases
describe PackerFiles::Core::User do

  # Check normalize functionalty
  it 'checks normalization #1' do
     user = PackerFiles::Core::User.new
     user.login      =  'login'
     user.name       =  'NAME'
     user.password   =  'password'
     user.normalize
     user.login.should eql('login')
     user.name.should eql('NAME')
     user.password.should eql('password')
  end

  it 'checks normalization #2' do
     user = PackerFiles::Core::User.new
     begin 
       user.normalize
     rescue PackerFiles::Core::NilException => e
       user.login.should be_nil
       user.name.should be_nil
       user.password.should be_nil
     end
  end

  # Check document generation functionalty
  it 'checks document generation #1' do
     user = PackerFiles::Core::User.new
     user.login      =  'login'
     user.name       =  'NAME'
     user.password   =  'password'
     user.normalize
     File.exist?(user.class.doc_file).should be(true)
     result = PackerFiles.evaluate_erb(user.class.doc_file, {'obj' => user})
     result.should include('login')
     result.should include('NAME')
     result.should include('password')
  end

end
