# Test file for Volume Group
require 'Core/VolumeGroup'
require 'Core/LogicalVolume'

# Describe test cases
describe PackerFiles::Core::VolumeGroup do

  # Check normalize functionalty
  it 'checks normalization #1' do
     lv  = PackerFiles::Core::LogicalVolume.new
     vg  = PackerFiles::Core::VolumeGroup.new
     lv.name  = 'LV'
     lv.size  = '2GiB'
     vg.name  = 'VG'
     vg.disk_names =  ['sda/1', 'sda/2']
     vg.lvs.push(lv)
     vg.normalize
     vg.lvs.first.size.should eql(2048)
     vg.lvs.first.vg_name.should eql('VG')
  end

  # Check normalize functionalty
  it 'checks normalization #2' do
     lv  = PackerFiles::Core::LogicalVolume.new
     lv.name =  'LV'
     lv.size =  '2GiB'
     begin
       lv.normalize
     rescue PackerFiles::Core::NilException => e
       lv.size.should eql('2GiB')
     end
  end

  # Check LogicalVolume instance_eval functionality
  it 'checks lv instance_eval #1' do
     vg  = PackerFiles::Core::VolumeGroup.new
     vg.name  = 'VG'
     vg.disk_names =  ['sda.1', 'sda.2']
     vg.LogicalVolume do |l|
        l.size  = '2GiB'
     end
     vg.LogicalVolume do |l|
        l.size  = '4GiB'
     end
     vg.normalize
     vg.lvs.size.should eql(2)
     vg.lvs.first.size.should eql(2048)
     vg.lvs.first.vg_name.should eql('VG')
     vg.lvs.last.size.should eql(4096)
     vg.lvs.last.vg_name.should eql('VG')
  end

end
