PackerFiles.Generate('CentOS::Server') do |svr|
   svr.OutDir = File.join(Dir.pwd, 'tmp/abcde')
   svr.Locale do |l|
     l.default = 'en_US'
   end
   svr.Keyboard do |k|
     k.variant = 'us'
     k.layout  = 'us'
   end
   svr.TimeZone do |t|
     t.zone   = 'US/Eastern'
   end
   svr.Network  do |n|
     n.interface = 'eth0'
     n.type      = PackerFiles::Core::Network::IPV4
   end
   svr.User do   |u|
     u.login     =   'vagrant'
     u.name      =   'vagrant'
     u.password  =   'vagrant'
     u.uid       =   900
   end
   svr.Disk do   |d|
     d.name     = 'sda'
     d.size     = '20GiB'
   end
   svr.Packages do |p|
     p.list  = %w[
     openssh-clients sudo kernel-headers kernel-devel
     gcc make perl curl wget nfs-utils -fprintd-pam -intltool
    ] 
   end
   svr.CDImage do |var|
      var.release  = '6.5'
      var.arch     = 'x86_64'
   end
   svr.Hypervisors do |h|
     h.VirtualBox do |v|
       v.cpu_count = 2
       v.ram_size  = '1GiB'
       v.use_efi   = false
     end
     h.KVM do |k|
       k.cpu_count = 2
       k.ram_size  = '1GiB'
       k.use_efi   = false
     end
     h.VMWare do |k|
       k.cpu_count = 2
       k.ram_size  = '1GiB'
       k.use_efi   = false
     end
   end
end

