# Test file for ERB Boot Command
require 'Core/Network'

# Describe test cases
describe PackerFiles::Core::Network do

  # Check ERB template functionalty
  it 'check erb template #1' do
     class TestKickstart
       def kickstart_file
	 'http/ks.cfg'
       end
       def http_dir
	 'http'
       end
     end
     file    = PackerFiles.DirPath('CentOS/Templates/boot_command_erb.rb').first
     hash     = { 'obj' => TestKickstart.new }
     result   = PackerFiles.evaluate_erb(file, hash)
     result.should include('ks.cfg')
     result.should_not include('ip')
  end

  # Check ERB template functionalty
  it 'check erb template #2' do
     class TestKickstart
       def kickstart_file
	 'http/ks.cfg'
       end
       def http_dir
	 'http'
       end
     end

     net = PackerFiles::Core::Network.new
     net.interface  = 'eth0'
     net.type       = (PackerFiles::Core::Network::STATIC | PackerFiles::Core::Network::IPV4)
     net.ip         = '10.10.10.10'
     net.mask       = '255.255.0.0'
     net.gateway    = '10.11.12.13'
     net.dns        = ['10.20.30.50']
     net.normalize
     net.is_static?.should be(true)

     file    = PackerFiles.DirPath('CentOS/Templates/boot_command_erb.rb').first
     hash    = {'obj' => TestKickstart.new, 'network' => net }
     result  = PackerFiles.evaluate_erb(file, hash)
     result.should include('ks.cfg')
     result.should include('user')
     result.should include('port')
     result.should include('10.10.10.10')
     result.should include('10.11.12.13')
     result.should include('255.255.0.0')
     result.should include('10.20.30.50')
  end

end
