# Test file for ERB Disk
require 'Core/Disk'

# Describe test cases
describe PackerFiles::Core::Disk do

  # Check ERB template functionalty
  it 'check erb template #1' do
     obj = PackerFiles::Core::Disk.new
     obj.name   = 'sda'
     obj.size   = '2GiB'
     obj.normalize
     file    = PackerFiles.DirPath('CentOS/Templates/Disk_erb.rb').first
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should_not include('2048')
  end

  # Check ERB template functionalty
  it 'check erb template #2' do
     obj = PackerFiles::Core::Disk.new
     obj.name =  'sda'
     obj.size =  '6GiB'
     obj.Partition do |p|
        p.size = '4GiB'
        p.file_system = 'ext3'
	p.mount_point = '/'
	p.boot = true
     end
     obj.Partition do |p|
        p.size = '1GiB'
        p.file_system = 'linux-swap'
     end
     obj.Partition do |p|
        p.size  = '1GiB'
        p.file_system = 'ext3'
	p.mount_point = '/abc'
     end
     obj.normalize
     file    = PackerFiles.DirPath('CentOS/Templates/Disk_erb.rb').first
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include('4096')
     result.should include('1024')
     result.should include('/abc')
     result.should include('ext3')
     result.should include('swap')
  end

  # Check ERB template functionalty
  it 'check erb template #3' do
     obj = PackerFiles::Core::Disk.new
     obj.name =  'sda'
     obj.size =  '6GiB'
     obj.VolumeGroup do |v|
       v.name  = 'VG'
       v.disk_names  = ['sda']
       v.LogicalVolume do |l|
         l.size  = '1GiB'
         l.file_system = 'linux-swap'
       end
       v.LogicalVolume do |l|
        l.size  = '4GiB'
        l.file_system = 'ext3'
	l.mount_point = '/abc'
       end
     end
     obj.normalize
     file    = PackerFiles.DirPath('CentOS/Templates/Disk_erb.rb').first
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include('4096')
     result.should include('1024')
     result.should include('/abc')
     result.should include('ext3')
     result.should include('swap')
     result.should include('lv1')
     result.should include('lv0')
     result.should include('VG')
  end

end
