# Test file for ERB Network
require 'Core/Network'

# Describe test cases
describe PackerFiles::Core::Network do

  # Check ERB template functionalty
  it 'check erb template #1' do
     obj      = PackerFiles::Core::Network.new
     file    = PackerFiles.DirPath('CentOS/Templates/Network_erb.rb').first
     obj.interface  = 'eth0'
     obj.type       = PackerFiles::Core::Network::IPV4
     obj.normalize
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include('eth0')
     result.should include('dhcp')
  end

  it 'checks erb template #2' do
     obj = PackerFiles::Core::Network.new
     obj.interface  = 'eth0'
     obj.type       = PackerFiles::Core::Network::STATIC | PackerFiles::Core::Network::IPV4
     obj.ip         = '10.10.10.10'
     obj.mask       = '255.255.0.0'
     obj.gateway    = '10.11.12.13'
     obj.dns        = ['10.20.30.50', '10.20.30.49']
     obj.normalize
     file    = PackerFiles.DirPath('CentOS/Templates/Network_erb.rb').first
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include('eth0')
     result.should include('10.10.10.10')
     result.should include('255.255.0.0')
     result.should include('10.11.12.13')
     result.should include('10.20.30.49')
     result.should include('10.20.30.50')
  end

end
