# Test file for ERB TimeZone
require 'Core/TimeZone'

# Describe test cases
describe PackerFiles::Core::TimeZone do

  # Check ERB template functionalty
  it 'check erb template #1' do
     obj      = PackerFiles::Core::TimeZone.new
     file    = PackerFiles.DirPath('CentOS/Templates/TimeZone_erb.rb').first
     obj.zone   = 'US/Eastern'
     obj.normalize
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include('US/Eastern')
     result.should include('utc')
  end

  it 'check erb template #2' do
     obj      = PackerFiles::Core::TimeZone.new
     file    = PackerFiles.DirPath('CentOS/Templates/TimeZone_erb.rb').first
     obj.auto = true
     obj.normalize
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include(obj.zone)
  end

  it 'check erb template #3' do
     obj      = PackerFiles::Core::TimeZone.new
     file    = PackerFiles.DirPath('CentOS/Templates/TimeZone_erb.rb').first
     obj.zone =  'US/Eastern'
     obj.utc  = false
     obj.normalize
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should_not include('utc')
  end

end
