# Test file for Apt documentation.
require 'OS/Debian/Apt'

# Describe test cases
describe PackerFiles::Debian::Apt do

 # Check Apt normalization
  it 'checks Apt normalize #1' do
     obj        = PackerFiles::Debian::Apt.new
     obj.tasks  = ['standard', 'laptop']
     obj.kernel = ''
     begin 
        obj.normalize
     rescue PackerFiles::Core::NilException => e
     end
  end

  it 'checks Apt normalize #2' do
     obj        = PackerFiles::Debian::Apt.new
     obj.tasks  = nil
     obj.kernel = 'linux-virtual'
     begin 
        obj.normalize
     rescue PackerFiles::Core::NilException => e
     end
  end

  it 'checks Apt normalize #3' do
     obj        = PackerFiles::Debian::Apt.new
     obj.tasks  = []
     obj.kernel = 'linux-virtual'
     begin 
        obj.normalize
     rescue PackerFiles::Core::EmptyArrayException => e
     end
  end

  # Check Apt documetation
  it 'checks Apt documentation #1' do
     obj        = PackerFiles::Debian::Apt.new
     obj.tasks  = ['standard', 'laptop']
     obj.kernel = 'linux-virtual'
     obj.normalize
     result = PackerFiles.evaluate_erb(obj.class.doc_file, {'obj' => obj})
     result.should include('standard')
     result.should include('laptop')
     result.should include('linux-virtual')
  end

end
