PackerFiles.Generate('Debian::Server') do |svr|
   svr.OutDir = File.join(Dir.pwd, 'tmp/abcde')
   svr.Locale do |l|
     l.default = 'en_US'
   end
   svr.Keyboard do |k|
     k.variant = 'us'
     k.layout  = 'us'
   end
   svr.TimeZone do |t|
     t.zone   = 'US/Eastern'
   end
   svr.Network  do |n|
     n.interface = 'eth0'
     n.type      = PackerFiles::Core::Network::IPV4
   end
   svr.User do   |u|
     u.login     =   'vagrant'
     u.name      =   'vagrant'
     u.password  =   'vagrant'
     u.uid       =   900
   end
   svr.Disk do   |d|
     d.name     = 'sda'
     d.size     = '20GiB'
   end
   svr.Packages do |p|
     p.list  = %w[
      openssh-server sudo bzip2 
      acpid cryptsetup zlib1g-dev 
      wget curl dkms make 
      nfs-common
    ] 
   end
   svr.Apt do |apt|
     apt.tasks = ['standard']
   end
   svr.CDImage do |var|
      var.release  = '6.0.9'
      var.arch     = 'i386'
      var.check_sum_type = 'md5'
   end
   svr.Hypervisors do |h|
      h.VirtualBox do |v|
        v.cpu_count = 2
        v.ram_size  = '1GiB'
        v.use_efi   = false
      end
   end
   svr.Provision do |prov|
      prov.Copy do |cp|
	 cp.source      = '/etc/bash.bashrc'
	 cp.destination = '/tmp/bashrc'
      end
      prov.Copy do |cp|
	 cp.source      = '/etc/emacs/'
	 cp.destination = '/tmp/emacs/'
      end
   end
end

