git_setup Cookbook
==================
This wrapper cookbook sets up git for various platforms.

Requirements
============

## Ohai and Chef:

* Ohai: 0.6.12+
* Chef: 0.10.10+

As of v1.2.0, this cookbook makes use of `node['platform_family']` to
simplify platform selection logic. This attribute was introduced in
Ohai v0.6.12. The recipe methods were introduced in Chef v0.10.10. 

## Cookbooks:

This cookbook depends upon the following cookbooks.

* git
* windows
* dmg

## Platforms:

The following platforms and versions are tested and supported using
Opscode's [test-kitchen](http://github.com/opscode/test-kitchen).

* Ubuntu 12.04, 13.10, 14.04
* CentOS 6.4, 6.5
* Windows 8
* Mac OS X

The following platform families are supported in the code, and are
assumed to work based on the successful testing on Ubuntu and CentOS.

* Debian
* Red Hat (rhel)
* Fedora
* Amazon Linux

Tests
=====
See .kitchen.yml for test suite description.

Attributes
==========
- None

Recipes
=======

default
-------
Installs git.

Usage
=====

Using this cookbook is relatively straightforward. Add the desired recipes to the run list of a node, as shown below

 include_recipe 'git_setup'

License and Authors
===================

* Author:: Anand Venkatanarayanan <external_mails_anandv-github@yahoo.co.in>

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.

