# Test file for Finder
require 'OS/Finder'

# Describe test cases
describe PackerFiles::Finder do

  # Check missing accessor functionality.
  it 'checks missing accessors' do
     begin
        load('spec/os/debian/data/Missing-sections.rb') 
     rescue PackerFiles::Utils::MissingAccessor => e
       e.message.should include('Apt')
     end
  end

  # Check missing Hypervisor functionality.
  it 'checks missing Hypervisor accessors' do
     begin
        load('spec/os/debian/data/Missing-VMWare-KVM-sections.rb')
     rescue PackerFiles::Utils::MissingAccessor => e
       e.message.should include('Hypervisors')
     end
  end

  # Check missing CDImage functionality.
  it 'checks missing CDImage accessors' do
   begin
      load('spec/os/debian/data/Missing-CDImage.rb')
   rescue PackerFiles::Utils::MissingAccessor => e
     e.message.should include('CDImage')
   end
  end

  # Check finder functionality from the top level
  it 'checks finder #1' do
     load('spec/os/debian/data/All-sections.rb') 
  end
  
  # Check finder functionality from the top level
  it 'checks copy provisioner' do
     load('spec/os/debian/data/Copy-Provisioner.rb') 
  end

  # Check finder functionality from the top level
  it 'checks Inline Script provisioner' do
     load('spec/os/debian/data/Script-Provisioner.rb') 
  end

  # Check finder functionality from the top level
  it 'checks External Script provisioner' do
     load('spec/os/debian/data/External-Script-Provisioner.rb')
  end

  # Check finder functionality from the top level
  it 'checks Chef Solo provisioner' do
     load('spec/os/debian/data/Chef-Solo-Provisioner.rb')
  end

end
