# Test file for Preseed class in Debian Server OS
require 'OS/Debian/Server'
require 'OS/Debian/Preseed'

# Describe test cases
describe PackerFiles::Debian::Server do

  # Check if we are able to succesfully do an instance eval on
  # all type accessor methods
  it 'checks builder instance_eval #1' do
     server = PackerFiles::Debian::Server.new
     server.Locale do |l|
       l.default  = 'en_IN'
     end
     server.Locale.normalize
     server.User do |u|
       u.login     =   'login'
       u.name      =   'NAME'
       u.password  =   'password'
     end
     server.User.normalize
     server.Keyboard do |k|
       k.variant  = 'us'
       k.layout   = 'us'
     end
     server.Keyboard.normalize
     server.TimeZone do |t|
       t.auto =  false
     end
     server.TimeZone.normalize
     server.Disk do |d|
        d.name =  'sda'
        d.size =  '10GiB'
        d.VolumeGroup do |v|
          v.name = 'VG'
          v.disk_names =  ['sda']
          v.LogicalVolume do |l|
            l.size  = '2GiB'
          end
          v.LogicalVolume do |l|
           l.size = '4GiB'
          end
        end
     end
     server.Disk.normalize
     preseed = PackerFiles::Debian::Preseed.new('preseed.cfg')
     preseed.convert server.Locale, 'Debian/Templates'
     preseed.convert server.User, 'Debian/Templates'
     preseed.convert server.Keyboard, 'Debian/Templates'
     preseed.convert server.TimeZone , 'Debian/Templates'
     preseed.convert server.Disk, 'Debian/Templates'
     File.exist?('preseed.cfg').should be(true)
     File.unlink('preseed.cfg')
  end

end
