# Test file for Debian Server OS
require 'OS/Debian/Server'

# Describe test cases
describe PackerFiles::Debian::Server do

  # Check if we are able to succesfully do an instance eval on
  # all type accessor methods
  it 'checks builder instance_eval #1' do
     server = PackerFiles::Debian::Server.new do  |svr|
	svr.Locale do |l|
	  l.default = 'en_IN'
	end
	svr.Locale.normalize
	svr.User do   |u|
	  u.login     =   'login'
	  u.name      =   'NAME'
	  u.password  =   'password'
	end
	svr.User.normalize
	svr.Keyboard do |k|
	  k.variant = 'us'
	  k.layout  = 'us'
	end
	svr.Keyboard.normalize
	svr.TimeZone do |t|
	  t.auto =  false
	end
	svr.TimeZone.normalize
	svr.Disk do  |d|
	   d.name   = 'sda'
	   d.size   = '10GiB'
	   d.VolumeGroup do |v|
	     v.name  = 'VG'
	     v.disk_names  = ['sda']
	     v.LogicalVolume do |l|
	       l.size  = '2GiB'
	     end
	     v.LogicalVolume do |l|
	      l.size  = '4GiB'
	     end
	   end
	end
	svr.Disk.normalize
     end
     server.Locale.default.should eql('en_IN.UTF-8')
     server.User.login.should eql('login')
     server.User.name.should eql('NAME')
     server.User.password.should eql('password')
     server.Keyboard.layout.should eql('us')
     server.TimeZone.zone.should be_nil
     server.Disk.vg.lvs.size.should eql(2)
     server.Disk.vg.lvs.first.size.should eql(2048)
     server.Disk.vg.lvs.first.vg_name.should eql('VG')
     server.Disk.vg.lvs.last.size.should eql(4096)
     server.Disk.vg.lvs.last.vg_name.should eql('VG')
  end

end
