# Test file for ERB locale
require 'Core/Locale'

# Describe test cases
describe PackerFiles::Core::Locale do

  # Check ERB template functionalty
  it 'check erb template #1' do
     obj      = PackerFiles::Core::Locale.new
     file    = PackerFiles.DirPath('Debian/Templates/Locale_erb.rb').first
     obj.default  = 'en_IN'
     obj.normalize
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include('en_IN.UTF-8')
  end

  it 'check erb template #2' do
     obj      = PackerFiles::Core::Locale.new
     file    = PackerFiles.DirPath('Debian/Templates/Locale_erb.rb').first
     obj.default  = 'en_IN'
     obj.normalize(false)
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include('en_IN')
  end

  it 'check erb template #2' do
     obj      = PackerFiles::Core::Locale.new
     file    = PackerFiles.DirPath('Debian/Templates/Locale_erb.rb').first
     obj.default  = 'en_IN'
     obj.supported = ['en_US']
     obj.normalize
     result   = PackerFiles.evaluate_erb(file, {'obj' => obj})
     result.should include('en_US.UTF-8')
  end

end
